VERSION 5.00
Begin VB.Form frmBorder 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3495
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3615
   Icon            =   "Border.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3495
   ScaleWidth      =   3615
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Height          =   1215
      Left            =   120
      TabIndex        =   5
      Top             =   1680
      Width           =   3375
      Begin VB.CheckBox chkAll 
         Height          =   375
         Left            =   120
         TabIndex        =   7
         Top             =   720
         Width           =   3135
      End
      Begin VB.CheckBox chkAllPage 
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   240
         Width           =   3135
      End
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   3000
      Width           =   1575
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   3000
      Width           =   1575
   End
   Begin VB.Frame frmBrdr 
      Height          =   1575
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3375
      Begin VB.CheckBox chkShadow 
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   1200
         Width           =   3135
      End
      Begin VB.CheckBox chkRoundRect 
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   840
         Width           =   3135
      End
      Begin VB.CommandButton cmdColor 
         BackColor       =   &H00FFFFFF&
         Height          =   315
         Left            =   2880
         Style           =   1  'Graphical
         TabIndex        =   4
         Top             =   360
         Width           =   375
      End
      Begin VB.ComboBox cmbWidth 
         Height          =   315
         Left            =   120
         Style           =   2  'Dropdown List
         TabIndex        =   3
         Top             =   360
         Width           =   2655
      End
   End
End
Attribute VB_Name = "frmBorder"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  
  If bAllBorders Then
  
    Me.Caption = frmBorder_Caption2
    Frame1.Visible = False
    cmdOK.Top = cmdOK.Top - 1200
    cmdCancel.Top = cmdOK.Top
    Me.Height = frmBorder.Height - 1200
    
  Else
  
    Me.Caption = frmBorder_Caption1
    
    If CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
    
      chkAll.Visible = False
      Frame1.Height = Frame1.Height - chkAll.Height - 120
      cmdOK.Top = cmdOK.Top - chkAll.Height - 120
      cmdCancel.Top = cmdOK.Top
      Me.Height = frmBorder.Height - chkAll.Height - 120
      
      If frmPixbook.frmPicCvr(iPicIdx).Tag = "E" Or IndexInArrayPicRotCvr(iPicIdx) Then 'No RoundRect/Shadow
      
        chkRoundRect.Visible = False
        chkShadow.Visible = False
        frmBrdr.Height = frmBrdr.Height - 720
        Frame1.Top = Frame1.Top - 720
        cmdOK.Top = cmdOK.Top - 720
        cmdCancel.Top = cmdOK.Top
        Me.Height = Me.Height - 720
        
      End If
      
    Else
    
      If frmPixbook.frmPicPage(iPicIdx).Tag = "E" Or IndexInArrayPicRot(iPicIdx) Then 'No RoundRect/Shadow
      
        chkRoundRect.Visible = False
        chkShadow.Visible = False
        frmBrdr.Height = frmBrdr.Height - 720
        Frame1.Top = Frame1.Top - 720
        cmdOK.Top = cmdOK.Top - 720
        cmdCancel.Top = cmdOK.Top
        Me.Height = Me.Height - 720
        
      End If
      
    End If
    
  End If
  
  frmBrdr.Caption = frmBorder_frmBrdr_Caption
  chkRoundRect.Caption = frmBorder_chkRoundRect_Caption
  chkShadow.Caption = frmBorder_chkShadow_Caption
  chkAll.Caption = frmBorder_chkAll_Caption
  chkAllPage.Caption = frmBorder_chkAllPage_Caption
  cmdOK.Caption = frmBorder_cmdOK_Caption
  cmdCancel.Caption = frmBorder_cmdCancel_Caption
  cmbWidth.ToolTipText = frmBorder_cmbWidth_ToolTipText
  cmdColor.ToolTipText = frmBorder_cmdColor_ToolTipText
  cmbWidth.Clear
  cmbWidth.AddItem sNone
  cmbWidth.AddItem "0.5 mm (" & sThickness & ")"
  cmbWidth.AddItem "1.0 mm (" & sThickness & ")"
  cmbWidth.AddItem "2.0 mm (" & sThickness & ")"
  
  If frmPixbook.TabStrip1.SelectedItem.Key = "tab1" Then
  
    cmbWidth.Text = IIf(oDOMAlbum.documentElement.getAttribute("BORDERWIDTH") = vbNullString Or oDOMAlbum.documentElement.getAttribute("BORDERWIDTH") = "0.0", sNone, oDOMAlbum.documentElement.getAttribute("BORDERWIDTH") & " mm (" & sThickness & ")")
    If oDOMAlbum.documentElement.getAttribute("BORDERCOLOR") <> vbNullString Then cmdColor.BackColor = RGB2VB(oDOMAlbum.documentElement.getAttribute("BORDERCOLOR"))
    If oDOMAlbum.documentElement.getAttribute("ROUNDRECT") = "1" Then chkRoundRect.Value = 1
    If oDOMAlbum.documentElement.getAttribute("SHADOW") = "1" Then chkShadow.Value = 1
    
  Else
  
    Dim iPicCnt As Integer
    Dim oElem   As MSXML.IXMLDOMElement
    
    If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
    
      For Each oElem In oDOMAlbum.documentElement.childNodes((iPicIdx - 1) \ iMaxPics).childNodes
      
        If oElem.baseName = "PICTURE" Then
        
          iPicCnt = iPicCnt + 1
          If iPicCnt = ((iPicIdx - 1) Mod iMaxPics) + 1 Then Exit For
          
        End If
        
      Next
      
    ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
    
      Dim oList As MSXML.IXMLDOMNodeList
      
      If sCover = "SP" Then
      
        Set oList = oDOMAlbum.documentElement.childNodes(iPages).childNodes
        
      Else
      
        Set oList = oDOMCover.documentElement.childNodes((iPicIdx - 1) \ iMaxPics).childNodes
        
      End If
      
      For Each oElem In oList
      
        If oElem.baseName = "PICTURE" Then
        
          iPicCnt = iPicCnt + 1
          If iPicCnt = ((iPicIdx - 1) Mod iMaxPics) + 1 Then Exit For
          
        End If
        
      Next
      
      Set oList = Nothing
      
    End If
    
    On Error Resume Next 'No PICTURE found
    cmbWidth.Text = IIf(oElem.getAttribute("BORDERWIDTH") = vbNullString Or oElem.getAttribute("BORDERWIDTH") = "0.0", sNone, oElem.getAttribute("BORDERWIDTH") & " mm (" & sThickness & ")")
    If oElem.getAttribute("BORDERCOLOR") <> vbNullString Then cmdColor.BackColor = RGB2VB(oElem.getAttribute("BORDERCOLOR"))
    If oElem.getAttribute("ROUNDRECT") = "1" Then chkRoundRect.Value = 1
    If oElem.getAttribute("SHADOW") = "1" Then chkShadow.Value = 1
    Set oElem = Nothing
    
  End If
  
'  On Error Resume Next
'  cmbWidth.Text = GetSetting(sAppName, "Settings", "BorderWidth", sNone)
'  cmdColor.BackColor = GetSetting(sAppName, "Settings", "BorderColor", "000000")
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:Form_Load", Erl
  Resume Next
  
End Sub

Public Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  cmbWidth.Enabled = False
  cmdColor.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:Busy", Erl
  Resume Next
  
End Sub

Public Sub NotBusy()

  On Error GoTo Error_Handler
  cmbWidth.Enabled = True
  cmdColor.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdColor_Click()

  On Error GoTo Error_Handler
  
'  If bColorpicker Then
  
    Dim lColor As Long
    
    ColorPicker.InitialColor = cmdColor.BackColor
    lColor = ColorPicker.ShowPicker(Me.hWnd)
    If lColor <> cmdColor.BackColor And ExtractR(lColor) >= 0 And ExtractR(lColor) < 256 And ExtractG(lColor) >= 0 And ExtractG(lColor) < 256 And ExtractB(lColor) >= 0 And ExtractB(lColor) < 256 Then cmdColor.BackColor = lColor
    
'  Else
  
'    CD1.Color = cmdColor.BackColor
'    CD1.ShowColor
'    If ExtractR(CD1.Color) >= 0 And ExtractR(CD1.Color) < 256 And ExtractG(CD1.Color) >= 0 And ExtractG(CD1.Color) < 256 And ExtractB(CD1.Color) >= 0 And ExtractB(CD1.Color) < 256 Then cmdColor.BackColor = CD1.Color
    
'  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:cmdColor_Click", Erl
  Resume Next

End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  Busy
  frmPixbook.PushStack
  
  Dim bChkRoundRectVisible As Boolean
  Dim bChkShadowVisible    As Boolean
  
  bChkRoundRectVisible = chkRoundRect.Visible 'Put visible properties in boolean variables, otherwise always 0 when hidden
  bChkShadowVisible = chkShadow.Visible
  Me.Hide 'To prevent wrong CaptureWindow in SaveThumb
  
  If bAllBorders Then
  
    SetAllBorders cmdColor.BackColor, cmbWidth.Text, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1)
    
  Else
  
    Dim i As Integer
    
    If chkAll.Value = 0 And chkAllPage.Value = 0 Then
    
      SetBorder cmdColor.BackColor, cmbWidth.Text, iPicIdx, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1), True
      
    ElseIf chkAll.Value = 1 Then
    
      SetAllBorders cmdColor.BackColor, cmbWidth.Text, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1)
      
      For i = 1 To iMaxPics
      
        If IndexInArrayFrmPic((iPage - 1) * iMaxPics + i) Then
        
          SetBorder cmdColor.BackColor, cmbWidth.Text, (iPage - 1) * iMaxPics + i, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1), False
          
        End If
        
      Next
      
    ElseIf chkAllPage.Value = 1 Then
    
      If CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
      
        For i = 1 To iMaxPics
        
          If IndexInArrayFrmPicCvr((iCover - 1) * iMaxPics + i) Then
          
            SetBorder cmdColor.BackColor, cmbWidth.Text, (iCover - 1) * iMaxPics + i, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1), False
            
          End If
          
        Next
        
      Else
      
        For i = 1 To iMaxPics
        
          If IndexInArrayFrmPic((iPage - 1) * iMaxPics + i) Then
          
            SetBorder cmdColor.BackColor, cmbWidth.Text, (iPage - 1) * iMaxPics + i, IIf(bChkRoundRectVisible, chkRoundRect.Value, -1), IIf(bChkShadowVisible, chkShadow.Value, -1), False
            
          End If
          
        Next
        
      End If
      
    End If
    
  End If
  
  SaveSetting sAppName, "Settings", "BorderColor", cmdColor.BackColor
  SaveSetting sAppName, "Settings", "BorderWidth", cmbWidth.Text
  NotBusy
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmBorder:cmdOK_Click", Erl
  Resume Next
  
End Sub

'***************
'* CheckBoxes: *
'***************

Private Sub chkRoundRect_Click()

  If chkRoundRect.Value = 1 And chkShadow.Value = 1 Then chkShadow.Value = 0
  
End Sub

Private Sub chkShadow_Click()

  If chkRoundRect.Value = 1 And chkShadow.Value = 1 Then chkRoundRect.Value = 0
  
End Sub

Private Sub chkAll_Click()

  If chkAll.Value = 1 And chkAllPage.Value = 1 Then chkAllPage.Value = 0
  
End Sub

Private Sub chkAllPage_Click()

  If chkAll.Value = 1 And chkAllPage.Value = 1 Then chkAll.Value = 0
  
End Sub
